import React from 'react'
import classNames from 'classnames'
import HotBlock from "../HotBlock"
import Style from './style.less'

export default function Room(props) {
  const { roomNumber, totalNum, price, apartmentName, status } = props.dataset || {}
  const personNum = `(${totalNum}人)`

  const handleClick = () => {
    if (props.onClick) {
      props.onClick(props.dataset || {})
    }
  }

  return (
    <HotBlock number={totalNum}>
      <div className={Style.room} onClick={handleClick}>
        <div className={classNames(Style.warn, {[`${Style.offline}`]: status !== 1})}>{roomNumber}</div>
        <div className={classNames(Style.warn, {[`${Style.offline}`]: status !== 1})}>{personNum}</div>
        <div className={classNames(Style.info, {[`${Style.offline}`]: status !== 1})}>{price}</div>
        <div className={classNames(Style.info, {[`${Style.offline}`]: status !== 1})}>{apartmentName}</div>
      </div>
    </HotBlock>
  )
}
