import React, { useState, useEffect } from 'react';
import { Form, Button, Radio } from 'antd';
import HouseGrid from './HouseGrid';
import apis from '../../../../services/apis';

const PreselectionImg = props => {
  const [hotType, setHotType] = useState(1)

  return (
    <div>
      <Form layout="inline">
        <Form.Item label="热度选择">
          <Radio.Group onChange={setHotType} value={hotType}>
            <Radio value={1}>基础热度</Radio>
            <Radio value={2}>实际热度</Radio>
            <Radio value={3}>显示热度</Radio>
            <Button type="primary" shape="circle" icon="question-circle" size="small" />
          </Radio.Group>
        </Form.Item>
        <div>基础热度即预设的预选数量，实际并不存在用户预选，用来美化数据。实际热度即真实用户预选数量，基础热度+实际热度=显示热度</div>
      </Form>
      <HouseGrid dataset={} hotType={hotType} />
    </div>
  )
}

export default PreselectionImg
